package com.ss.android.ugc.aweme.notice.api.services;

import X.C4062Eaw;
import X.C4072Eb6;
import X.C4073Eb7;
import android.os.Message;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Map;

public interface INoticeCountService {
    static {
        Covode.recordClassIndex(95080);
    }

    int LIZ();

    int LIZ(int i, C4073Eb7 eb7, boolean z);

    int LIZ(String str);

    int LIZ(int[] iArr, boolean z);

    C4062Eaw LIZ(int i);

    void LIZ(int i, int i2);

    void LIZ(int i, C4072Eb6 eb6, boolean z);

    void LIZ(Message message);

    void LIZ(List<String> list, String str);

    void LIZ(boolean z, int i);

    boolean LIZ(int[] iArr, C4072Eb6 eb6, boolean z);

    int LIZIZ();

    void LIZIZ(int[] iArr, C4072Eb6 eb6, boolean z);

    Map<Integer, Integer> LIZJ();

    void LIZLLL();
}
